package com.njcn.csharmonic.offline.mincfg.vo;

public class DATA_HARMI //谐波电流幅值
{
	private RTC_Timer time; //数据时标
	private Float[][] HARMI; //3-?谐波电流幅值
	public DATA_HARMI(int num)
	{
		time = new RTC_Timer();
		HARMI = new Float[3][num];
	}
	public static int GetSize(int num)
	{
//C# TO JAVA CONVERTER TODO TASK: There is no Java equivalent to 'sizeof':
		return 6 * Short.SIZE / Byte.SIZE + 3 * num *  Float.SIZE / Byte.SIZE;
	}
	public final boolean SetStructBuf(byte[] bArray, int nHaveRead, int num)
	{
		int nByteSize = bArray.length;
		if (nByteSize < GetSize(num))
		{
			return false;
		}

		int iStep = nHaveRead;
		time.SetStructBuf(bArray, iStep);
		iStep = iStep + RTC_Timer.GetSize();
		RefObject<Float[][]> tempRef_HARMI = new RefObject<Float[][]>(HARMI);
		iStep += Service.convertFloatArrayTwo(bArray, iStep, tempRef_HARMI);
		HARMI = tempRef_HARMI.argvalue;
		return true;
	}
}